org.w3c.dom.html

## Interface HTMLOptionElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLOptionElement
    extends HTMLElement

A selectable choice. See the OPTION element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`boolean` `getDefaultSelected()` Represents the value of the HTML selected attribute.
`boolean` `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` `getForm()` Returns the `FORM` element containing this control.
`int` `getIndex()` The index of this `OPTION` in its parent `SELECT` , starting from 0.
`String` `getLabel()` Option label for use in hierarchical menus.
`boolean` `getSelected()` Represents the current state of the corresponding form control, in an interactive user agent.
`String` `getText()` The text contained within the option element.
`String` `getValue()` The current form control value.
`void` `setDefaultSelected(boolean defaultSelected)`
`void` `setDisabled(boolean disabled)`
`void` `setLabel(String label)`
`void` `setSelected(boolean selected)`
`void` `setValue(String value)`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getForm

    HTMLFormElement getForm()

Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

#### getDefaultSelected

    boolean getDefaultSelected()

Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. Changing `defaultSelected` , however, resets the state of the form control. See the selected attribute definition in HTML 4.0.

#### setDefaultSelected

    void setDefaultSelected(boolean defaultSelected)

#### getText

    String getText()

The text contained within the option element.

#### getIndex

    int getIndex()

The index of this `OPTION` in its parent `SELECT` , starting from 0.

#### getDisabled

    boolean getDisabled()

The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

#### setDisabled

    void setDisabled(boolean disabled)

#### getLabel

    String getLabel()

Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0.

#### setLabel

    void setLabel(String label)

#### getSelected

    boolean getSelected()

Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

#### setSelected

    void setSelected(boolean selected)

#### getValue

    String getValue()

The current form control value. See the value attribute definition in HTML 4.0.

#### setValue

    void setValue(String value)